package com.xylink.log;

/**
 * @author: yxk
 * @Date: 2022-12-12 14:31
 * @Description: **********
 */
public class SystemLogImpl implements XyLinkLog{


    public static XyLinkLog build(){
        return new SystemLogImpl();
    }


    @Override
    @Deprecated
    public void error(Object obj) {
        System.err.println(obj);
    }

    @Override
    public void error(String msg) {
        System.err.println(msg);
    }

    @Override
    public void error(Object obj, Throwable throwable) {
        System.err.print(obj);
        throwable.printStackTrace();
    }

    @Override
    public void error(String msg, Throwable throwable) {
        System.err.println(msg);
        throwable.printStackTrace();
    }

    @Override
    public void info(Object obj) {
        System.out.println(obj);
    }

    @Override
    public void info(String msg) {
        System.out.println(msg);
    }
}
