package com.xylink.model;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import java.util.Map;

/**
 * Created with IntelliJ IDEA.
 * Description:
 * User: gzm
 * Date: 2018-11-27
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class MiniProgramUserDeviceDto {

    private long id;
    private int type;
    private long userProfileID;
    private String displayName;
    private String deviceSN;
    private String securityKey;
    private long expirationTime;
    private int presence;
    private Map<String, String> config;
    private String nemoNumber;
    private long bindTimestamp;
    private String deviceModel;
    private String avatar;
    private String adminDisplayName;
    private long firstBindTime;
    private boolean autoBound;
    private String fingerprint;
    private int subType;
    private String category;
    private String enterpriseId;
    private String departmentId;
    private boolean isOfficeDevice;
    private String deptCode;//部门标识
    private String appId;
    private String callNumber;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public long getUserProfileID() {
        return userProfileID;
    }

    public void setUserProfileID(long userProfileID) {
        this.userProfileID = userProfileID;
    }

    public String getDisplayName() {
        return displayName;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }

    public String getDeviceSN() {
        return deviceSN;
    }

    public void setDeviceSN(String deviceSN) {
        this.deviceSN = deviceSN;
    }

    public String getSecurityKey() {
        return securityKey;
    }

    public void setSecurityKey(String securityKey) {
        this.securityKey = securityKey;
    }

    public long getExpirationTime() {
        return expirationTime;
    }

    public void setExpirationTime(long expirationTime) {
        this.expirationTime = expirationTime;
    }

    public int getPresence() {
        return presence;
    }

    public void setPresence(int presence) {
        this.presence = presence;
    }

    public Map<String, String> getConfig() {
        return config;
    }

    public void setConfig(Map<String, String> config) {
        this.config = config;
    }

    public String getNemoNumber() {
        return nemoNumber;
    }

    public void setNemoNumber(String nemoNumber) {
        this.nemoNumber = nemoNumber;
    }

    public long getBindTimestamp() {
        return bindTimestamp;
    }

    public void setBindTimestamp(long bindTimestamp) {
        this.bindTimestamp = bindTimestamp;
    }

    public String getDeviceModel() {
        return deviceModel;
    }

    public void setDeviceModel(String deviceModel) {
        this.deviceModel = deviceModel;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getAdminDisplayName() {
        return adminDisplayName;
    }

    public void setAdminDisplayName(String adminDisplayName) {
        this.adminDisplayName = adminDisplayName;
    }

    public long getFirstBindTime() {
        return firstBindTime;
    }

    public void setFirstBindTime(long firstBindTime) {
        this.firstBindTime = firstBindTime;
    }

    public boolean isAutoBound() {
        return autoBound;
    }

    public void setAutoBound(boolean autoBound) {
        this.autoBound = autoBound;
    }

    public String getFingerprint() {
        return fingerprint;
    }

    public void setFingerprint(String fingerprint) {
        this.fingerprint = fingerprint;
    }

    public int getSubType() {
        return subType;
    }

    public void setSubType(int subType) {
        this.subType = subType;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public boolean isOfficeDevice() {
        return isOfficeDevice;
    }

    public void setOfficeDevice(boolean officeDevice) {
        isOfficeDevice = officeDevice;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getCallNumber() {
        return callNumber;
    }

    public void setCallNumber(String callNumber) {
        this.callNumber = callNumber;
    }

    @Override
    public String toString() {
        return "MiniProgramUserDeviceDto{" +
                "id=" + id +
                ", type=" + type +
                ", userProfileID=" + userProfileID +
                ", displayName='" + displayName + '\'' +
                ", deviceSN='" + deviceSN + '\'' +
                ", securityKey='" + securityKey + '\'' +
                ", expirationTime=" + expirationTime +
                ", presence=" + presence +
                ", config=" + config +
                ", nemoNumber='" + nemoNumber + '\'' +
                ", bindTimestamp=" + bindTimestamp +
                ", deviceModel='" + deviceModel + '\'' +
                ", avatar='" + avatar + '\'' +
                ", adminDisplayName='" + adminDisplayName + '\'' +
                ", firstBindTime=" + firstBindTime +
                ", autoBound=" + autoBound +
                ", fingerprint='" + fingerprint + '\'' +
                ", subType=" + subType +
                ", category='" + category + '\'' +
                ", enterpriseId='" + enterpriseId + '\'' +
                ", departmentId='" + departmentId + '\'' +
                ", isOfficeDevice=" + isOfficeDevice +
                ", deptCode='" + deptCode + '\'' +
                ", appId='" + appId + '\'' +
                ", callNumber='" + callNumber + '\'' +
                '}';
    }
}
